<template>
  <div id="teacher_class_reportiong_wrapper" class="bt-container">
    <el-breadcrumb style="font-size: 24px; margin-top: 40px; margin-bottom: 40px;" separator="|">
      <el-breadcrumb-item :to="{ path: '/a/teacher/NNclass/'+classId }">{{ currentTeachingClass(classId) ? currentTeachingClass(classId).name : '' }}</el-breadcrumb-item>
      <el-breadcrumb-item>{{ $t('CLASS_MENU.ATTEND_MANAGE') }}</el-breadcrumb-item>
      <div style="text-align: right;">
        <a href="javascript:history.back();">
          <el-button size="small">{{ $t('BOARD.BACK') }}</el-button>
        </a>
      </div> 
    </el-breadcrumb>
  	<div v-if="curStep === 0">
  	  <attendance-list></attendance-list>
  	</div>
  	<div v-else>
  	  <attendance-item-list @child="parentsMethod" v-bind:itemType="0"></attendance-item-list>
  	  <el-button @click="onBack">{{ $t('BOARD.BACK') }}</el-button>
  	</div> 
  
  </div>
</template>

<style lang="scss" scoped>
  #teacher_class_grading_wrapper {
    .one-lecture-wrapper {
      margin-bottom: 40px;
    }
    .align-right {
      text-align: right;
    }
  }
</style>


<script>
import { mapActions, mapState, mapGetters, mapMutations } from 'vuex';
import AttendanceList from '../partials/AttendanceList';
import AttendanceItemList from '../partials/AttendanceItemList';

export default {
  name: 'TeacherClassAttendance',
  components: {
    AttendanceList,
    AttendanceItemList,
  },
  data() {
    return {
      activeTab: 'question',
      activeTab2: 'overall',
      itemIdList: [],
    };
  },
  computed: {
    ...mapState('attendance', ['lectureList', 'curLectureItems', 'curStep', 'curState', 'studentReportResult']),
    ...mapGetters('NNclass', [
      'currentTeachingClass',
    ]),
    classId() {
      const vm = this;
      return Number.parseInt(vm.$route.params.classId, 10);
    },
  },
  async created() {
    const vm = this;
		await vm.getLectureList({ classId: vm.classId });
    vm.updateCurStep({ index: 0 });
    vm.updateCurState({ index: 0 });
  },
  methods: {
    ...mapActions('attendance', ['getLectureList', 'getLectureItemList']),
    ...mapMutations('attendance', ['updateCurStep', 'updateCurState']),
    onBack() {
      const vm = this;
      vm.updateCurStep({ index: 0 });
    },
    parentsMethod(payload) {
      const vm = this;
      vm.itemIdList = payload;
    },
  },
};
</script>
